
package de.ivu.elect.was.sitzberechnung.entity;

public abstract class AbstractElectSitzberechnungObject implements de.ivu.elect.sitzberechnung.SitzberechnungEntity {

  private final String key;

  protected AbstractElectSitzberechnungObject(String key) {
    super();

    this.key = key;
  }

  @Override
  public String getKey() {
    return key;
  }

  @Override
  public int hashCode() {
    return getKey().hashCode();
  }

  @Override
  public boolean equals(Object another) {
    if (this == another) {
      return true;
    }

    if (!(another instanceof AbstractElectSitzberechnungObject)) {
      return false;
    }

    AbstractElectSitzberechnungObject that = (AbstractElectSitzberechnungObject) another;

    return getKey().equals(that.getKey());
  }
}
